summaryrefslogtreecommitdiff
path: root/dev-python/sphinxcontrib-devhelp
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/sphinxcontrib-devhelp
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/sphinxcontrib-devhelp')
-rw-r--r--dev-python/sphinxcontrib-devhelp/Manifest2
-rw-r--r--dev-python/sphinxcontrib-devhelp/metadata.xml12
-rw-r--r--dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.1.ebuild27
-rw-r--r--dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild29
4 files changed, 70 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-devhelp/Manifest b/dev-python/sphinxcontrib-devhelp/Manifest
new file mode 100644
index 000000000000..d995246c268c
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/Manifest
@@ -0,0 +1,2 @@
+DIST sphinxcontrib-devhelp-1.0.1.tar.gz 14016 BLAKE2B 4b8c079773d65f5fb752870dc728d8e90e03fdd2f8a4b01324838928ef2deaf2c724c0b149697a61624ea7382445e81fe261ec2b726fa3cfb5547bd053286e4e SHA512 135d6405e330cc245391646d4055988cf762d82f6473e58c64a76f3a88e7f33a66baba366e7f29e1378320bd0c374af92b0f972bceeec8c05ad0fe652a81e984
+DIST sphinxcontrib-devhelp-1.0.2.tar.gz 17398 BLAKE2B fcf04148bc4a77963517d9011c20a6b77eee499f1a5dcd4a9631b4f415f80a9f7091b254f74ba2fbc9b7106dfb741dc839e14813e088d5a0802793ed457e95df SHA512 83b46eaf26df3932ea2136cfda1c0fca4fc08ce8bca564845b3efe5bb00d6c8c93991f4edd4913d4ec796e2d85bd2c7265adf28e98f42e8094daeb5ac11a0eb1
diff --git a/dev-python/sphinxcontrib-devhelp/metadata.xml b/dev-python/sphinxcontrib-devhelp/metadata.xml
new file mode 100644
index 000000000000..c7b8db2771cf
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">sphinxcontrib-devhelp</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.1.ebuild b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.1.ebuild
new file mode 100644
index 000000000000..ccccf414f3b9
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs Devhelp documents"
+HOMEPAGE="http://www.sphinx-doc.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+
+RDEPEND=""
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
new file mode 100644
index 000000000000..873571929afb
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs Devhelp documents"
+HOMEPAGE="https://www.sphinx-doc.org
+ https://github.com/sphinx-doc/sphinxcontrib-devhelp"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+
+RDEPEND="dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( ${PDEPEND} )"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}